---
title: List Web Analytics sites
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[RUM](https://developers.cloudflare.com/api/go/resources/rum)

[Site Info](https://developers.cloudflare.com/api/go/resources/rum/subresources/site_info)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Web Analytics sites

client.RUM.SiteInfo.List(ctx, params) (\*V4PagePaginationArray\[[Site](<https://developers.cloudflare.com/api/go/resources/rum#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/rum/site\_info/list

Lists all Web Analytics sites of an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account Settings Read`

##### ParametersExpand Collapse

<details>

<summary>

params SiteInfoListParams

</summary>

AccountID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20rum.site_info%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

<details>

<summary>

OrderBy param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/rum/subresources/site_info/methods/list#(resource)%20rum.site_info%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order_by%20%3E%20(schema)">SiteInfoListParamsOrderBy</a>]Optional

Query param: The property used to sort the list of results.

</summary>

const SiteInfoListParamsOrderByHost <a href="https://developers.cloudflare.com/api/go/resources/rum/subresources/site_info/methods/list#(resource)%20rum.site_info%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order_by%20%3E%20(schema)">SiteInfoListParamsOrderBy</a> = "host"

<a href="#(resource)%20rum.site_info%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order_by%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const SiteInfoListParamsOrderByCreated <a href="https://developers.cloudflare.com/api/go/resources/rum/subresources/site_info/methods/list#(resource)%20rum.site_info%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order_by%20%3E%20(schema)">SiteInfoListParamsOrderBy</a> = "created"

<a href="#(resource)%20rum.site_info%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order_by%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20rum.site_info%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20order_by">Link to this property</a>

Page param.Field\[float64]Optional

Query param: Current page within the paginated list of results.

<a href="#(resource)%20rum.site_info%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page">Link to this property</a>

PerPage param.Field\[float64]Optional

Query param: Number of items to return per page of results.

<a href="#(resource)%20rum.site_info%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

</details>

[Link to this property](<#(resource)%20rum.site_info%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type Site struct{…}

</summary>

AutoInstall boolOptional

If enabled, the JavaScript snippet is automatically injected for orange-clouded sites.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20auto_install">Link to this property</a>

Created TimeOptional

formatdate-time

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

<details>

<summary>

Rules \[]<a href="https://developers.cloudflare.com/api/go/resources/rum#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)">RUMRule</a>Optional

A list of rules.

</summary>

ID stringOptional

The Web Analytics rule identifier.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Created TimeOptional

formatdate-time

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

Host stringOptional

The hostname the rule will be applied to.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

Inclusive boolOptional

Whether the rule includes or excludes traffic from being measured.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20inclusive">Link to this property</a>

IsPaused boolOptional

Whether the rule is paused or not.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20is_paused">Link to this property</a>

Paths \[]stringOptional

The paths the rule will be applied to.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20paths">Link to this property</a>

Priority float64Optional

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20priority">Link to this property</a>

</details>

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20rules">Link to this property</a>

<details>

<summary>

Ruleset SiteRulesetOptional

</summary>

ID stringOptional

The Web Analytics ruleset identifier.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20id">Link to this property</a>

Enabled boolOptional

Whether the ruleset is enabled.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20enabled">Link to this property</a>

ZoneName stringOptional

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20zone_name">Link to this property</a>

ZoneTag stringOptional

The zone identifier.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20zone_tag">Link to this property</a>

</details>

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20ruleset">Link to this property</a>

SiteTag stringOptional

The Web Analytics site identifier.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20site_tag">Link to this property</a>

SiteToken stringOptional

The Web Analytics site token.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20site_token">Link to this property</a>

Snippet stringOptional

Encoded JavaScript snippet.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20snippet">Link to this property</a>

</details>

[Link to this property](<#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)>)

### List Web Analytics sites

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/rum"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.RUM.SiteInfo.List(context.TODO(), rum.SiteInfoListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "auto_install": true,
      "created": "2014-01-01T05:20:00.12345Z",
      "rules": [
        {
          "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
          "created": "2014-01-01T05:20:00.12345Z",
          "host": "example.com",
          "inclusive": true,
          "is_paused": false,
          "paths": [
            "*"
          ],
          "priority": 1000
        }
      ],
      "ruleset": {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "enabled": true,
        "zone_name": "example.com",
        "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
      },
      "site_tag": "023e105f4ecef8ad9ca31a8372d0c353",
      "site_token": "023e105f4ecef8ad9ca31a8372d0c353",
      "snippet": "<!-- Cloudflare Web Analytics --><script type='module' src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{\"token\": \"bc40a2d1b5834453aba85c1b9a3054da\"}'></script><!-- End Cloudflare Web Analytics -->"
    }
  ],
  "result_info": {
    "count": 10,
    "page": 1,
    "per_page": 10,
    "total_count": 25,
    "total_pages": 3
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "auto_install": true,
      "created": "2014-01-01T05:20:00.12345Z",
      "rules": [
        {
          "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
          "created": "2014-01-01T05:20:00.12345Z",
          "host": "example.com",
          "inclusive": true,
          "is_paused": false,
          "paths": [
            "*"
          ],
          "priority": 1000
        }
      ],
      "ruleset": {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "enabled": true,
        "zone_name": "example.com",
        "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
      },
      "site_tag": "023e105f4ecef8ad9ca31a8372d0c353",
      "site_token": "023e105f4ecef8ad9ca31a8372d0c353",
      "snippet": "<!-- Cloudflare Web Analytics --><script type='module' src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{\"token\": \"bc40a2d1b5834453aba85c1b9a3054da\"}'></script><!-- End Cloudflare Web Analytics -->"
    }
  ],
  "result_info": {
    "count": 10,
    "page": 1,
    "per_page": 10,
    "total_count": 25,
    "total_pages": 3
  }
}
```